<div class="container">
    <div class="content-container shadow">
        <div class="content-container-title">
            <h2>Welcome back to Portugal Vacc, {{cid}}</h2>
        </div>
        <div class="content-container-body">
            <p>
                Welcome to Portugal vACC's brand new myPanel. This is your home where you can see your current training
                status
                schedule new bookings, and sign up for the upcoming events!
            </p>
        </div>
    </div>

    <div class="content-container shadow">
        <div class="content-container-title">
            <h2>Ratings</h2>
        </div>
        <div class="content-container-body">
            <div class="ratings-container">
                <p>
                    Your current pilot rating is $RATING.
                </p>
                <p>
                    Your controller rating is $RATING.
                </p>
                <p>
                    Check you current training status on our <a target="_blank" href="https://ats.portugal-vacc.org/">Training System (ATS)</a>.
                </p>
            </div>
        </div>
    </div>

    <div class="content-container shadow">
        <div class="content-container-title">
            <h2>Upcoming ATC Bookings <span class="text-weight-400">(Today)</span></h2>
            <div>
                <button class="btn" routerLink="/booking-manager/new" routerLinkActive="active">New Booking</button>
                <button class="btn" routerLink="/calendar/bookings" routerLinkActive="active">View All Bookings</button>
            </div>
        </div>
        <div class="content-container-body">
            <div class="bookings-container">
                <ng-container *ngIf="bookings.length != 0; then bookingsList; else bookingsEmpty"></ng-container>
                <ng-template #bookingsList>
                    <div *ngFor="let booking of bookings" class="booking-entry">
                        <div class="booking-info">
                            <div class="booking-header">
                                <p class="text-weight-500">
                                    {{ booking.client_id }}
                                </p>
                                <p *ngIf="booking.mentor_client_id">
                                    Mentor: {{ booking.mentor_client_id }}
                                </p>
                                <p class="">
                                    ({{ booking.network }})
                                </p>
                            </div>
                            <div class="booking-callsign">
                                <p class="text-weight-400">
                                    {{ booking.call_sign }}
                                </p>
                            </div>
                            <div class="booking-date">
                                <p>
                                    {{ booking.start_datetime | date : "EEEE, MMMM dd, YYYY - HH:mm" :"UTC"}}
                                    to {{ booking.end_datetime | date: "HH:mm" : "UTC" }}z
                                </p>
                            </div>
                        </div>
                        <div class="booking-controls" *ngIf="cid !== null && booking.client_id === cid">
                            <button class="btn btn-edit" (click)="editBooking(booking)"><span
                                    class="material-symbols-outlined">edit</span></button>
                            <button class="btn btn-edit" (click)="deleteBooking(booking)"><span
                                    class="material-symbols-outlined">cancel</span>
                            </button>
                        </div>
                    </div>

                </ng-template>

                <ng-template #bookingsEmpty>
                    <ng-container *ngIf="errorBookings; then bookingsError; else noBookings"></ng-container>
                    <ng-template #noBookings>
                        <div class="no-list">
                            <p>No Bookings Scheduled.</p>
                        </div>
                    </ng-template>
                    <ng-template #bookingsError>
                        <div class="no-list">
                            <p>Error fetching bookings.</p>
                        </div>
                    </ng-template>
                </ng-template>
            </div>
        </div>
    </div>


  <div class="content-container shadow" *ngIf="userBookings.length">
    <div class="content-container-title">
      <h2>My ATC Bookings</h2>
    </div>
    <div class="content-container-body">
      <div class="bookings-container">
          <div *ngFor="let booking of userBookings" class="booking-entry">
            <div class="booking-info">
              <div class="booking-header">
                <p class="text-weight-500">
                  {{ booking.client_id }}
                </p>
                <p *ngIf="booking.mentor_client_id">
                  Mentor: {{ booking.mentor_client_id }}
                </p>
                <p class="">
                  ({{ booking.network }})
                </p>
              </div>
              <div class="booking-callsign">
                <p class="text-weight-400">
                  {{ booking.call_sign }}
                </p>
              </div>
              <div class="booking-date">
                <p>
                  {{ booking.start_datetime | date : "EEEE, MMMM dd, YYYY - HH:mm" :"UTC"}}
                  to {{ booking.end_datetime | date: "HH:mm" : "UTC" }}z
                </p>
              </div>
            </div>
            <div class="booking-controls" *ngIf="cid !== null && booking.client_id === cid">
              <button class="btn btn-edit" (click)="editBooking(booking)"><span
                class="material-symbols-outlined">edit</span></button>
              <button class="btn btn-edit" (click)="deleteBooking(booking)"><span
                class="material-symbols-outlined">cancel</span>
              </button>
            </div>
          </div>
      </div>
    </div>
  </div>

    <div class="content-container shadow">
        <div class="content-container-title">
            <h2>Upcoming Events</h2>
            <button class="btn" routerLink="/calendar/events" routerLinkActive="active">View All Events</button>
        </div>
        <div class="content-container-body">
            <div class="events-container">
                <ng-container *ngIf="events.length != 0; then eventsList; else eventsEmpty"></ng-container>
                <ng-template #eventsList>
                    <div *ngFor="let event of events" class="event-entry">
                        <div>
                            <p class="text-weight-300">{{ event.type }}</p>
                            <p>{{ event.name }}</p>
                            <!--            <p *ngFor="let icao of event.airports">{{ icao.icao }}</p>-->
                            <div class="booking-date">
                                <p>
                                    {{ event.start_time | date : "EEEE, MMMM dd, YYYY - HH:mm" :"UTC"}}
                                    to {{ event.end_time | date: "HH:mm" : "UTC" }}z
                                </p>
                            </div>
                        </div>
                        <button routerLink="/event/{{event.id}}" class="btn btn-info">Details</button>
                    </div>
                </ng-template>
            </div>
            <ng-template #eventsEmpty>
                <ng-container *ngIf="errorEvents; then eventsError; else noEvents"></ng-container>
                <ng-template #noEvents>
                    <div class="no-list">
                        <p>No Events Scheduled.</p>
                    </div>
                </ng-template>
                <ng-template #eventsError>
                    <div class="no-list">
                        <p>Error fetching events.</p>
                    </div>
                </ng-template>
            </ng-template>
        </div>
    </div>
</div>
